/**
 * @module dixim
 * @submodule common
 */
dixim.namespace('dixim.common');

/**
 * @module common
 * @submodule api-client-session-manager
 */
(function() {
var ApiClientSessionManager;
var prototype;
var Event = dixim.event.Event;
var EventTarget = dixim.event.EventTarget;
var $ = dixim.ctt.jQuery;

/**
 * @class ApiClientSessionManager
 * @constructor
 * @extends EventTarget
 * @param {Object} [configs]
 */
ApiClientSessionManager = function(configs) {
    EventTarget.call(this);
    this._initialize(configs);
};

dixim.inherit(ApiClientSessionManager, EventTarget);
prototype = ApiClientSessionManager.prototype;

/**
 * @method _initialize
 * @protected
 * @param {Object} [configs]
 */
prototype._initialize = function(configs) {
    configs = configs || {};

    this._sessions = [];
};

prototype.add = function(session) {
    $.merge(this._sessions, [session]);
};

prototype.cancelAll = function() {
    var s;

    for (var i = 0, len = this._sessions.length; i < len; i += 1) {
        s = this._sessions[i];
        s.cancel();
    }
    this._sessions = [];
};

dixim.common.apiClientSessionManager = new ApiClientSessionManager();

}());
