/**
 * @module dixim
 * @submodule contents
 */
dixim.namespace('dixim.contents');

/**
 * @module contents
 * @submodule progress-dialog-view
 */

(function() {
var ProgressDialogView;
var prototype;
var superConstructor;
var _ = dixim.ctt.ResourceBundle.get;
var ProgressModalDialogView = dixim.common.ProgressModalDialogView;
var Enum = dixim.ctt.util.Enum;

/**
 * @class ProgressDialogView
 * @constructor
 * @param {Object} configs
 */
ProgressDialogView = function(configs) {
    ProgressModalDialogView.call(this, configs);
};

dixim.inherit(ProgressDialogView, ProgressModalDialogView);
dixim.contents.ProgressDialogView = ProgressDialogView;
prototype = ProgressDialogView.prototype;
superConstructor = ProgressDialogView.superConstructor;

var Mode = Enum.fetch('PROGRESS');

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
    var mode = configs.mode || Mode.CONTENTS;
    var contents = configs.contents || [];

    configs = configs || {};

    configs.id = configs.id || '';
    configs.id = [configs.id, 'progress-dialog-'].join('');

    switch(mode) {
        case Mode.NOT_PERMITTED:
            configs.title = _('contents_operation_menu_not_permitted_auto_delete');
            configs.description = _('contents_not_permitted_auto_delete_description', contents.length);
            configs.nameKey = 'title';
            configs.progressStr = _('contents_not_permitted_auto_delete_progress_str')
            break;
        case Mode.PERMITTED:
            configs.title = _('contents_operation_menu_permitted_auto_delete');
            configs.description = _('contents_permitted_auto_delete_description', contents.length);
            configs.nameKey = 'title';
            configs.progressStr = _('contents_permitted_auto_delete_progress_str');
            break;
    }

    superConstructor.prototype._initialize.call(this, configs);
};

}());
