
/**
 * @module ctt
 * @submodule transfer-schedule-wizard-controller
 */
(function() {
var Event = dixim.event.Event;
var WizardPageStackController = dixim.ctt.WizardPageStackController;
var ScheduleEntryListingWizardPageController = dixim.ctt.ScheduleEntryListingWizardPageController;

var TransferScheduleWizardController;
var prototype;
var superConstructor;

/**
 * Provides a wizard to manage information for
 * programmed transferring the contents specified.
 *
 * @class TransferScheduleWizardController
 * @extends WizardPageStackController
 * @constructor
 * @param {Object} configs
 */
TransferScheduleWizardController = function(configs) {
  WizardPageStackController.call(this, configs);
};
dixim.inherit(TransferScheduleWizardController, WizardPageStackController);
dixim.ctt.TransferScheduleWizardController = TransferScheduleWizardController;
prototype = TransferScheduleWizardController.prototype;
superConstructor = TransferScheduleWizardController.superConstructor;

/**
 * @method _initialize
 * @protected
 * @param {Object} configs
 */
prototype._initialize = function(configs) {
  superConstructor.prototype._initialize.call(this, configs);

  this.setRegistryEntry('model', configs.model);
  this._rootController = new ScheduleEntryListingWizardPageController();
};

}());
